Loading...
Searching...
No Matches
parallel_runner.h File Reference
JPEG XL Multi-thread library (libjxl_threads)
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for parallel_runner.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | JXL_PARALLEL_RET_SUCCESS (0)
#define | JXL_PARALLEL_RET_RUNNER_ERROR (-1)

## Typedefs

typedef int | JxlParallelRetCode
typedef JxlParallelRetCode(* | JxlParallelRunInit) (void *jpegxl_opaque, size_t num_threads)
typedef void(* | JxlParallelRunFunction) (void *jpegxl_opaque, uint32_t value, size_t thread_id)
typedef JxlParallelRetCode(* | JxlParallelRunner) (void *runner_opaque, void *jpegxl_opaque, JxlParallelRunInit init, JxlParallelRunFunction func, uint32_t start_range, uint32_t end_range)